#*****************
# PANTALLA INICIAL
#*****************
echo "******************************************************"
echo "MODIFICACION DE LA BASE DE DATOS Q02 PARA ESTADISTICAS"
echo "******************************************************"
# 
#***************************************************************
# OBTENCION DE USUARIO Y PASSWORD DE CONEXION A LA BASE DE DATOS
#***************************************************************
. n38bd 32307 01 STRING
SALIDA=$?
if [ $SALIDA -gt 0 ]
then
   echo "ERROR obtenido parámetros de conexión"
   exit 1
fi
USUARIO=`echo $STRING |cut -d '#' -f2`
PASSWORD=`echo $STRING |cut -d '#' -f3`
#
ORACLE_SID=$ORACLE_SID
export ORACLE_SID
ORACLE_HOME=$ORACLE_HOME
export ORACLE_HOME
# 
#******************************************
# VERIFICACION DE LA EXISTENCIA DE FICHEROS
#******************************************
#
DIR_CADE=/aplic/q02b/cade
DIR_SCRIPTS=/aplic/q02b/scripts/estadisticas_2016
DIR_LOG=/datos/q02b/log
# 
test -f ${DIR_SCRIPTS}/q02b_1_Q0298T00_create.sql
if [ "${?}" -ne 0 ]; then
	echo "NO EXISTE EL FICHERO ${DIR_SCRIPTS}/q02b_1_Q0298T00_create.sql"
	echo "SE CANCELA LA OPERACION"
	exit
fi
# 
test -f ${DIR_SCRIPTS}/q02b_1_Q0298T00_create.sql
if [ "${?}" -ne 0 ]; then
	echo "NO EXISTE EL FICHERO ${DIR_SCRIPTS}/q02b_1.1_Q0298T00_sinonimo.sql"
	echo "SE CANCELA LA OPERACION"
	exit
fi
# 
test -f ${DIR_SCRIPTS}/q02b_2_Q0298T00_datos.sql
if [ "${?}" -ne 0 ]; then
	echo "NO EXISTE EL FICHERO ${DIR_SCRIPTS}/q02b_2_Q0298T00_datos.sql"
	echo "SE CANCELA LA OPERACION"
	exit
fi
# 3
test -f ${DIR_SCRIPTS}/q02b_3_Q0298T00_grants.sql
if [ "${?}" -ne 0 ]; then
	echo "NO EXISTE EL FICHERO ${DIR_SCRIPTS}/q02b_3_Q0298T00_grants.sql"
	echo "SE CANCELA LA OPERACION"
	exit
fi
# 
test -f ${DIR_SCRIPTS}/q02b_4_Q0298V01_create.sql
if [ "${?}" -ne 0 ]; then
	echo "NO EXISTE EL FICHERO ${DIR_SCRIPTS}/q02b_4_Q0298V01_create.sql"
	echo "SE CANCELA LA OPERACION"
	exit
fi
#
test -f ${DIR_SCRIPTS}/q02b_4.1_Q0298V01_sinonimo.sql
if [ "${?}" -ne 0 ]; then
	echo "NO EXISTE EL FICHERO ${DIR_SCRIPTS}/q02b_4.1_Q0298V01_sinonimo.sql"
	echo "SE CANCELA LA OPERACION"
	exit
fi
# 
test -f ${DIR_SCRIPTS}/q02b_5_Q0298V01_grants.sql
if [ "${?}" -ne 0 ]; then
	echo "NO EXISTE EL FICHERO ${DIR_SCRIPTS}/q02b_5_Q0298V01_grants.sql"
	echo "SE CANCELA LA OPERACION"
	exit
fi



#
{ echo ${PASSWORD};} | $ORACLE_HOME/bin/sqlplus $USUARIO @${DIR_SCRIPTS}/q02b_1_Q0298T00_create.sql |tee -a ${DIR_LOG}/estadisticas_2016.log >/dev/null
#
if [ "${?}" -ne 0 ]; then
	echo "ERROR EN 1\n"
	echo "RESTAURAR LA SITUACION DE BASE DE DATOS ANTERIOR\n"
	exit
fi
#
if [ "${?}" -eq 0 ]; then
{ echo ${PASSWORD};} | $ORACLE_HOME/bin/sqlplus $USUARIO @${DIR_SCRIPTS}/q02b_1.1_Q0298T00_sinonimo.sql |tee -a ${DIR_LOG}/estadisticas_2016.log >/dev/null
#
if [ "${?}" -ne 0 ]; then
	echo "ERROR EN 1.1\n"
	echo "RESTAURAR LA SITUACION DE BASE DE DATOS ANTERIOR\n"
	exit
fi
fi
#
if [ "${?}" -eq 0 ]; then
{ echo ${PASSWORD};} | $ORACLE_HOME/bin/sqlplus $USUARIO @${DIR_SCRIPTS}/q02b_2_Q0298T00_datos.sql |tee -a ${DIR_LOG}/estadisticas_2016.log >/dev/null
#
if [ "${?}" -ne 0 ]; then
	echo "ERROR EN 2\n"
	echo "RESTAURAR LA SITUACION DE BASE DE DATOS ANTERIOR\n"
	exit
fi
fi
#
if [ "${?}" -eq 0 ]; then
{ echo ${PASSWORD};} | $ORACLE_HOME/bin/sqlplus $USUARIO @${DIR_SCRIPTS}/q02b_3_Q0298T00_grants.sql |tee -a ${DIR_LOG}/estadisticas_2016.log >/dev/null
#
if [ "${?}" -ne 0 ]; then
	echo "ERROR EN 3\n"
	echo "RESTAURAR LA SITUACION DE BASE DE DATOS ANTERIOR\n"
	exit
fi
fi
#
if [ "${?}" -eq 0 ]; then
{ echo ${PASSWORD};} | $ORACLE_HOME/bin/sqlplus $USUARIO @${DIR_SCRIPTS}/q02b_4_Q0298V01_create.sql |tee -a ${DIR_LOG}/estadisticas_2016.log >/dev/null
#
if [ "${?}" -ne 0 ]; then
	echo "ERROR EN 4\n"
	echo "RESTAURAR LA SITUACION DE BASE DE DATOS ANTERIOR\n"
	exit
fi
fi
#
if [ "${?}" -eq 0 ]; then
{ echo ${PASSWORD};} | $ORACLE_HOME/bin/sqlplus $USUARIO @${DIR_SCRIPTS}/q02b_4.1_Q0298V01_sinonimo.sql |tee -a ${DIR_LOG}/estadisticas_2016.log >/dev/null
#
if [ "${?}" -ne 0 ]; then
	echo "ERROR EN 4.1\n"
	echo "RESTAURAR LA SITUACION DE BASE DE DATOS ANTERIOR\n"
	exit
fi
fi
#
if [ "${?}" -eq 0 ]; then
{ echo ${PASSWORD};} | $ORACLE_HOME/bin/sqlplus $USUARIO @${DIR_SCRIPTS}/q02b_5_Q0298V01_grants.sql |tee -a ${DIR_LOG}/estadisticas_2016.log >/dev/null
#
if [ "${?}" -ne 0 ]; then
	echo "ERROR EN 5\n"
	echo "RESTAURAR LA SITUACION DE BASE DE DATOS ANTERIOR\n"
	exit
fi
fi


#
if [ "${?}" -ne 0 ]; then 
    echo " *************************************************"
	echo "ERROR AL ACTUALIZAR LA BASE DE DATOS\n"
	echo "RESTAURAR LA SITUACION DE BASE DE DATOS ANTERIOR\n"
	echo " *************************************************"
	exit
else
    echo " **************************************************"
	echo "BASE DE DATOS ACTUALIZADA CORRECTAMENTE\n"
	echo "REVISAR FICHERO LOG ${DIR_LOG}/estadisticas_2016.log\n"
    echo " **************************************************"
fi
echo "FIN"